body {
    background: #ffffff;
}

.content {
    padding: 0;
}

.roundTop {
    background: linear-gradient(180deg, #232526, #414345);
}

.shopDetail {
    padding: 0.5rem;
    width: 100%;
    color: black;
    /* background-color: #00ffff; */
}

.shopDrow1,
.shopDrow2,
.shopDrow3 {
    margin-bottom: 0.3rem;
}

.shopDrow1 {
    display: flex;
    /* background-color: pink; */
}

.shopD1Left {
    position: relative;
    width: 4rem;
    height: 4rem;
    border-radius: 5px;
    /* background-color: skyblue; */
    flex-shrink: 0;
    box-shadow: rgba(0, 0, 0, 0.12) 0px 1px 3px, rgba(0, 0, 0, 0.24) 0px 1px 2px;
}

.shopImg {
    max-width: 100%;
    border-radius: 5px;
}

.replaceImg {
    position: absolute;
    right: 0;
    bottom: 0;
    width: 0.8rem;
    height: 0.8rem;
    border-radius: 5px;
    background-color: #fff;
    box-shadow: rgba(0, 0, 0, 0.12) 0px 1px 3px, rgba(0, 0, 0, 0.24) 0px 1px 2px;
}

.replaceImg img {
    max-width: 80%;
}

.shopD1Right {
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    margin-left: 0.5rem;
    flex: 1;
}

.shopD1Right .shopName {
    font-size: 0.9rem;
    font-weight: 700;
}

.shopD1Right .shopPhone {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    /* background-color: pink; */
}

.phoneleft {
    display: flex;
    align-items: center;
}

.phoneright {
    padding: 0.1rem;
    border-radius: 3px;
    font-size: 0.55rem;
    color: #fff;
    background-color: rgb(0, 150, 255);
}

.telephoneIcon {
    width: 0.8rem;
    height: 0.8rem;
}

.telephoneIcon img {
    max-width: 100%;
}

.otherInfo {
    display: flex;
    /* background-color: #fff; */
}

.otherInfo>div {
    margin-right: 0.2rem;
}

.shoplevel {
    display: flex;
    align-items: center;
    padding: 0.15rem;
    border-radius: 3px;
    font-size: 0.5rem;
    background-color: #fff;
}

.shoplevel {
    color: #000000;
    border: 1px solid #000000;
}

.statusIcon {
    width: 0.6rem;
    height: 0.6rem;
}

.shoplevel .statusIcon img {
    max-width: 120%;
}

/* .shopShare {
    background-color: rgb(0, 195, 255);
} */

/* .shopDrow2 {
    background-color: rgb(173, 0, 29);
} */

.shopDrow2 .shopD2row {
    /* margin-bottom: 0.3rem; */
    padding: 0.5rem 0;
    border-bottom: 1px solid #f0f0f0;
    /* background-color: rgb(0, 153, 255); */
}

.waitReceiveRow {
    display: flex;
    justify-content: space-between;
}

.waitReceiveBtn {
    padding: 0.3rem 0.4rem;
    font-size: 0.6rem;
    color: #000000;
    border: 1px solid #000;
    border-radius: 5px;
    background-color: yellow;
}

.waitReceiveBtn span:nth-child(1) {
    font-weight: 700;
    color: red;
}

.waitReceiveBtn span:nth-child(2) {
    font-weight: 700;
    color: green;
}

.waitReceiveNoBtn {
    padding: 0.3rem 0.4rem;
    font-size: 0.6rem;
    color: #000000;
    border: 1px solid #c0c0c0;
    border-radius: 5px;
    background-color: #eeeeee;
}

.waitReceiveNoBtn span {
    font-weight: 700;
    color: #a3a3a3;
}

/* .waitReceiveNoBtn span:nth-child(2) {
    font-weight: 700;
    color: #a3a3a3;
} */

.waitReplenishRow {
    display: flex;
    justify-content: space-between;
    /* background-color: antiquewhite; */
}

.waitReplenishRow span:nth-child(1) {
    font-weight: 700;
    color: red;
}

.waitReplenishRow span:nth-child(2) {
    font-weight: 700;
    color: green;
}

.shopDetailIcon {
    color: #000;
    /* background-color: pink; */
}

.shopDetailIcon .arrowIcon {
    width: 0.6rem;
    height: 0.6rem;
    /* background-color: #553e41; */
}

.shopD2row:nth-child(1) {
    display: flex;
    border-top: 1px solid #f0f0f0;
}

.addressIcon {
    width: 1.5rem;
    /* height          : 0.8rem; */
    flex-shrink: 0;
    /* background-color: #fff; */
}

.addressIcon img {
    max-width: 70%;
}

.addressP {
    display: flex;
    align-items: center;
    margin-left: 0.2rem;
    /* background-color: #fff; */
}

.shopImgsBox {
    width: 100%;
    height: 100%;
    /* background-color: #81a048; */
}

.shopImgsBox .shopManner {
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 1rem;
    /* background-color: pink; */
}

.scroll {
    position: relative;
    /* padding: 0.4rem 0; */
    height: 4.4rem;
    overflow-y: hidden;
    overflow-x: scroll;
    /* border-bottom      : 1px solid #f0f0f0; */
    margin-bottom: .5rem;
    /* box-shadow      : rgba(99, 99, 99, 0.2) 0px 2px 8px 0px; */
    /* background-color: #fce38a; */
    /* background-color: #8ac9fc; */
    transition: 500ms;
}

.scroll::-webkit-scrollbar {
    display: none;
}

.scroll .scrollBox {
    position: absolute;
    display: flex;
    align-items: center;
    height: 4rem;
    /* background-color: #fce38a; */
}

.scroll .manner {
    position: relative;
    margin-top: 0.8rem;
    margin-right: 0.2rem;
    width: 4.5rem;
    height: 100%;
    /* border-radius: 0.2rem; */
    /* background-color: white; */
    margin-right: .5rem;
}

.scroll .manner .mannerBox {
    position: relative;
    width: 100%;
    height: 100%;
    /* background-color: #b94545; */
}

.scroll .manner .mannerImg {
    position: relative;
    width: 100%;
    height: 100%;
    border-radius: 5px;
    overflow: hidden;
    background-color: #eeeeee;
    /* background-color: #81a048; */
}

.scroll .manner .mannerImg img {
    width: 100%;
    height: 100%;
}

.scroll .manner .del {
    position: absolute;
    width: 1rem;
    right: -.4rem;
    top: -.4rem;
    background: white;
    border-radius: 50px;
    height: 1rem;
    z-index: 1;
}

.hideFile {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    /* background-color: #fff; */
    opacity: 0;
}

.imgshadow {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-image: linear-gradient(180deg,
            hsla(0, 0%, 0%, 0),
            hsla(0, 0%, 0%, 0),
            hsla(0, 0%, 0%, 0),
            hsla(0, 0%, 0%, 0.2),
            hsla(0, 0%, 0%, 0.5));
    pointer-events: none;
}


.addImgMH {
    max-width: none;
    max-height: 100%;
}

.addImgMW {
    max-width: 100%;
}

.mannerImg .addIcon {
    max-width: 40%;
}

.scroll .manner .mannerName {
    position: absolute;
    left: 0.2rem;
    bottom: 0.2rem;
    font-size: 0.5rem;
    font-weight: 700;
    text-align: center;
    color: rgb(255, 255, 255);
    white-space: nowrap;
    /* background-color: pink; */
}

.shopDrow3 {
    /* display: flex;
    justify-content: center; */
    width: 100%;
    text-align: center;
    /* background-color: pink; */
}

.shopDrow3 .shopD3row {
    padding: 0.5rem;
    width: 100%;
    /* height: 18rem; */
    border-radius: 5px;
    margin: 0 auto;
    background-color: #fff;
    box-shadow: rgba(0, 0, 0, 0.12) 0px 1px 3px, rgba(0, 0, 0, 0.24) 0px 1px 2px;
}

.shopDrow3 .shopD3row img {
    max-width: 100%;
    max-height: 100%;
}

#ORcode {
    display: flex;
    justify-content: center;
    align-items: center;
    /* padding     : 0.5rem; */
    width: 100%;
    height: 100%;
    background: rgb(255, 255, 255);
}

#ORcode canvas,
#ORcode img {
    width: 100% !important;
    height: 100% !important;
}

.cropImg {
    position: fixed;
    top: 0;
    left: 0;
    display: flex;
    flex-direction: column;
    width: 100%;
    height: 100%;
    background-color: black;
    z-index: 200;
}

.cropImg .head {
    color: #fff;
    background-color: black;
}

.cropBox {
    flex: 1;
    width: 100%;
    /* background-color: #fff; */
}

.showheadImg {
    width: 100%;
    height: 100%;
    /* background-color: brown; */
}

.contentImg {
    width: 100%;
    height: 100%;
    /* background-color: #fff; */
}

.contentImg img {
    max-width: 100%;
    max-height: 100%;
}

.imgbtns {
    position: fixed;
    left: 0;
    bottom: 0;
    display: flex;
    padding: 1rem 0.5rem;
    width: 100%;
    color: #fff;
    /* background-color: skyblue; */
}

.imgbtns button {
    position: relative;
    flex: 1;
    display: flex;
    align-items: center;
    padding: 0.5rem;
    border-radius: 5px;
    background-color: #292929;
    border: 0;
    color: white;
}

.btnsIcon {
    width: 0.8rem;
    height: 0.8rem;
}

.btnsIcon img {
    max-width: 100%;
}

.imgbtns p {
    margin: 0 0.2rem;
}